com.jscape.inet.mft.audit.reporting.metricses

## Class FileTransferData

- java.lang.Object
- - com.jscape.inet.mft.audit.reporting.metricses.FileTransferData

-     public class FileTransferData
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferData()`
    `FileTransferData(long date, java.lang.String username, java.lang.String path, long elapsedTimeMillis, long throughputBytesPerSecond, long bytes)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileTransferData` | `downloadDataFor(com.jscape.inet.mft.LogRecord record)`
    `long` | `getBytes()`
    `long` | `getDate()`
    `long` | `getElapsedTimeMillis()`
    `java.lang.String` | `getPath()`
    `long` | `getThroughputBytesPerSecond()`
    `java.lang.String` | `getUsername()`
    `void` | `setBytes(long value)`
    `void` | `setDate(long value)`
    `void` | `setElapsedTimeMillis(long value)`
    `void` | `setPath(java.lang.String value)`
    `void` | `setThroughputBytesPerSecond(long value)`
    `void` | `setUsername(java.lang.String value)`
    `java.lang.String` | `toString()`
    `static FileTransferData` | `uploadDataFor(com.jscape.inet.mft.LogRecord record)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferData

          public FileTransferData(long date,
                                  java.lang.String username,
                                  java.lang.String path,
                                  long elapsedTimeMillis,
                                  long throughputBytesPerSecond,
                                  long bytes)

    - #### FileTransferData

          public FileTransferData()

  - ### Method Detail

    - #### downloadDataFor

          public static FileTransferData downloadDataFor(com.jscape.inet.mft.LogRecord record)

    - #### uploadDataFor

          public static FileTransferData uploadDataFor(com.jscape.inet.mft.LogRecord record)

    - #### getDate

          public long getDate()

    - #### setDate

          public void setDate(long value)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername(java.lang.String value)

    - #### getPath

          public java.lang.String getPath()

    - #### setPath

          public void setPath(java.lang.String value)

    - #### getElapsedTimeMillis

          public long getElapsedTimeMillis()

    - #### setElapsedTimeMillis

          public void setElapsedTimeMillis(long value)

    - #### getThroughputBytesPerSecond

          public long getThroughputBytesPerSecond()

    - #### setThroughputBytesPerSecond

          public void setThroughputBytesPerSecond(long value)

    - #### getBytes

          public long getBytes()

    - #### setBytes

          public void setBytes(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2018. All Rights Reserved